/* Input From Bootstrap */
.input-group {
  display: table;
  position: relative;
  border-collapse: separate;
}
.input-group.col {
  float: none;
  padding-right: 0;
  padding-left: 0;
}
.input-group .form-control {
  width: 100%;
  margin-bottom: 0;
}
.input-group-lg>.form-control,
.input-group-lg>.input-group-addon,
.input-group-lg>.input-group-btn>.btn {
  height: 45px;
  padding: 10px 16px;
  border-radius: 6px;
  font-size: 18px;
  line-height: 1.33;
}


select.input-group-sm>.form-control,
select.input-group-sm>.input-group-addon,
select.input-group-sm>.input-group-btn>.btn {
  height: 30px;
  line-height: 30px;
}
textarea.input-group-sm>.form-control,
textarea.input-group-sm>.input-group-addon,
textarea.input-group-sm>.input-group-btn>.btn {
  height: auto;
}
.input-group-addon,
.input-group-btn,
.input-group .form-control {
  display: table-cell;
}
.input-group-addon:not(:first-child):not(:last-child),
.input-group-btn:not(:first-child):not(:last-child),
.input-group .form-control:not(:first-child):not(:last-child) {
  border-radius: 0;
}
.input-group-addon,
.input-group-btn {
  width: 1%;
  vertical-align: middle;
  white-space: nowrap;
}
.input-group-addon {
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #eee;
  font-size: 14px;
  font-weight: normal;
  line-height: 1;
  text-align: center;
}
.input-group-addon.input-sm {
  padding: 5px 10px;
  border-radius: 3px;
  font-size: 12px;
}
.input-group-addon.input-lg {
  padding: 10px 16px;
  border-radius: 6px;
  font-size: 18px;
}
.input-group-addon input[type="radio"],
.input-group-addon input[type="checkbox"] {
  margin-top: 0;
}
.input-group .form-control:first-child,
.input-group-addon:first-child,
.input-group-btn:first-child>.btn,
.input-group-btn:first-child>.dropdown-toggle,
.input-group-btn:last-child>.btn:not(:last-child):not(.dropdown-toggle) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.input-group-addon:first-child {
  border-right: 0;
}
.input-group .form-control:last-child,
.input-group-addon:last-child,
.input-group-btn:last-child>.btn,
.input-group-btn:last-child>.dropdown-toggle,
.input-group-btn:first-child>.btn:not(:first-child) {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.input-group-addon:last-child {
  border-left: 0;
}
.input-group-btn {
  position: relative;
  white-space: nowrap;
}
.input-group-btn>.btn {
  position: relative;
}
.input-group-btn>.btn+.btn {
  margin-left: -4px;
}
.input-group-btn>.btn:hover,
.input-group-btn>.btn:active {
  z-index: 2;
}

/* Panels from Bootstrap */
.panel {
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px;
  background-color: #fff;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
          box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}
.panel-body {
  padding: 15px;
}
.panel-body:before,
.panel-body:after {
  /* 1 */
  display: table;
  content: " ";
  /* 2 */
}
.panel-body:after {
  clear: both;
}
.panel-body:before,
.panel-body:after {
  /* 1 */
  display: table;
  content: " ";
  /* 2 */
}
.panel-body:after {
  clear: both;
}
.panel>.list-group {
  margin-bottom: 0;
}
.panel>.list-group .list-group-item {
  border-width: 1px 0;
}
.panel>.list-group .list-group-item:first-child {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
.panel>.list-group .list-group-item:last-child {
  border-bottom: 0;
}
.panel-heading+.list-group .list-group-item:first-child {
  border-top-width: 0;
}
.panel>.table {
  margin-bottom: 0;
}
.panel>.panel-body+.table {
  border-top: 1px solid #ddd;
}
.panel-heading {
  padding: 10px 15px;
  border-bottom: 2px solid transparent;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
}
.panel-title {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 16px;
}
.panel-title>a {
  color: inherit;
}
.panel-footer {
  padding: 10px 15px;
  border-top: 1px solid #ddd;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  background-color: #f5f5f5;
}
.panel-group .panel {
  overflow: hidden;
  margin-bottom: 0;
  border-radius: 4px;
}
.panel-group .panel+.panel {
  margin-top: 5px;
}
.panel-group .panel-heading {
  border-bottom: 0;
}
.panel-group .panel-heading+.panel-collapse .panel-body {
  border-top: 1px solid #ddd;
}
.panel-group .panel-footer {
  border-top: 0;
}
.panel-group .panel-footer+.panel-collapse .panel-body {
  border-bottom: 1px solid #ddd;
}
.panel-default {
  border-color: #ddd;
}
.panel-default>.panel-heading {
  border-color: #ddd;
  color: #333;
  background-color: #f5f5f5;
}
.panel-default>.panel-heading+.panel-collapse .panel-body {
  border-top-color: #ddd;
}
.panel-default>.panel-footer+.panel-collapse .panel-body {
  border-bottom-color: #ddd;
}
.panel-primary {
  border-color: #428bca;
}
.panel-primary>.panel-heading {
  border-color: #428bca;
  color: #fff;
  background-color: #428bca;
}
.panel-primary>.panel-heading+.panel-collapse .panel-body {
  border-top-color: #428bca;
}
.panel-primary>.panel-footer+.panel-collapse .panel-body {
  border-bottom-color: #428bca;
}
.panel-success {
  border-color: #d6e9c6;
}
.panel-success>.panel-heading {
  border-color: #d6e9c6;
  color: #468847;
  background-color: #dff0d8;
}
.panel-success>.panel-heading+.panel-collapse .panel-body {
  border-top-color: #d6e9c6;
}
.panel-success>.panel-footer+.panel-collapse .panel-body {
  border-bottom-color: #d6e9c6;
}
.panel-warning {
  border-color: #fbeed5;
}
.panel-warning>.panel-heading {
  border-color: #fbeed5;
  color: #c60;
  background-color: #fcf8e3;
}
.panel-warning>.panel-heading+.panel-collapse .panel-body {
  border-top-color: #fbeed5;
}
.panel-warning>.panel-footer+.panel-collapse .panel-body {
  border-bottom-color: #fbeed5;
}
.panel-danger {
  border-color: #eed3d7;
}
.panel-danger>.panel-heading {
  border-color: #eed3d7;
  color: #b94a48;
  background-color: #f2dede;
}
.panel-danger>.panel-heading+.panel-collapse .panel-body {
  border-top-color: #eed3d7;
}
.panel-danger>.panel-footer+.panel-collapse .panel-body {
  border-bottom-color: #eed3d7;
}
.panel-info {
  border-color: #bce8f1;
}
.panel-info>.panel-heading {
  border-color: #bce8f1;
  color: #3a87ad;
  background-color: #d9edf7;
}
.panel-info>.panel-heading+.panel-collapse .panel-body {
  border-top-color: #bce8f1;
}
.panel-info>.panel-footer+.panel-collapse .panel-body {
  border-bottom-color: #bce8f1;
}

/*XIRR Calc Table Styling */

.table-wrap { /*temp hack for mobile */
  overflow: auto
}
.table.xirr-maintable {
  border-bottom: 1px solid #ddd;
}
.table.xirr-maintable th {
  border-top: none;
}
.page-xirr-calculator .xirr-maintable input {
  padding: 6px 12px 6px;
  font-size: 14px;
}
.page-xirr-calculator .xirr-maintable input[type="radio"],
.xirr-maintable input[type="checkbox"] {
  width: inherit;
  margin-right: 5px;
  margin-left: 10px;
}

.page-xirr-calculator .xirr-maintable input.first {
  margin-left: 0px;
}

.page-xirr-calculator .xirr-maintable.table thead>tr>th,
.xirr-maintable.table tbody>tr>th,
.xirr-maintable.table tfoot>tr>th,
.xirr-maintable.table thead>tr>td,
.xirr-maintable.table tbody>tr>td,
.xirr-maintable.table tfoot>tr>td {
  vertical-align: middle;
}
.page-xirr-calculator .datecol {
  width: 150px;
}
.page-xirr-calculator .site-container .table tbody>tr>td {
  border-top: 0;
}
.page-xirr-calculator .xirr-final-calculation {
  padding: 10px 0 0 33px;
  color: #4ba3bf;
  font-size: 24px;
  text-align: center;
}
.table.xirr-maintable td {
  font-size: 14px;
}

/* toggle switches */
.table.xirr-maintable .switch {
  width: 155px;
}
.table.xirr-maintable .switch-label {
  width: 76px;
}
.table.xirr-maintable .switch-selection {
  width: 75px;
}
.table.xirr-maintable .switch-label-on,
.table.xirr-maintable .switch-label-off {
  padding-left: 5px;
  color: #333;
  text-shadow: none;
}
.table.xirr-maintable .switch-input:checked+.switch-label-on~.switch-selection {
  left: 77px;
  /* Note: left: 50% doesn't transition in WebKit; */
}
.table.xirr-maintable .btn-group.switch.switch-blue label#Deposit1,
.table.xirr-maintable .btn-group.switch.switch-blue label#Withdrawal0 {
  color: #888;
  font-weight: normal;
}
.table.xirr-maintable .switch-input:checked+.switch-label {
  color: rgba(255, 255, 255, 1);
  text-shadow: none;
  font-weight: normal;
}

.table.xirr-maintable .switch-blue .switch-selection {
  background: #4ba3bf;
  background-image: none !important;
  -webkit-box-shadow: none;
          box-shadow: none;
}

.page-xirr-calculator .ui-datepicker {
  z-index: 2 !important;
}

/*XIRR Calc Button Styling */
.page-xirr-calculator .btn-add5,
.page-xirr-calculator .btn-calc {
  width: 150px;
  margin: 20px 10px;
}
.page-xirr-calculator .btn-add5 {
  margin-left: 32px;
}

.label-th{width:20%}

/* Bootstrap Cleanup */
input {
  line-height: normal;
}


